import 'package:flutter/material.dart';
import 'package:kvalifika_sdk/kvalifika_sdk.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  int counter = 0;

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Kvalifika'),
        ),
        body: Builder(
          builder: (context) => KvalifikaSdk(
            appId: "7bd2bab9-5bcb-4f8d-a0c8-d7fd3fd4653b",
            locale: KvalifikaSdkLocale.EN,
            logo: "logo",
            documentIcon: "logo",
            onInitialize: () {
              ScaffoldMessenger.of(context).showSnackBar(
                SnackBar(
                  content: Text('SDK Initialized'),
                ),
              );
            },
            onStart: (sessionId) {
              ScaffoldMessenger.of(context).showSnackBar(
                SnackBar(
                  content: Text('Started Verification'),
                ),
              );
            },
            onFinish: (sessionId) {},
            onError: (error, message) {
              if (error == KvalifikaSdkError.INVALID_APP_ID) {}

              if (error == KvalifikaSdkError.USER_CANCELLED) {}

              if (error == KvalifikaSdkError.TIMEOUT) {}

              if (error == KvalifikaSdkError.USER_CANCELLED) {}

              if (error == KvalifikaSdkError.SESSION_UNSUCCESSFUL) {}

              if (error == KvalifikaSdkError.ID_UNSUCCESSFUL) {}

              if (error == KvalifikaSdkError.CAMERA_PERMISSION_DENIED) {}

              if (error == KvalifikaSdkError.LANDSCAPE_MODE_NOT_ALLOWED) {}

              if (error == KvalifikaSdkError.REVERSE_PORTRAIT_NOT_ALLOWED) {}

              if (error == KvalifikaSdkError.FACE_IMAGES_UPLOAD_FAILED) {}

              if (error == KvalifikaSdkError.DOCUMENT_IMAGES_UPLOAD_FAILED) {}

              if (error == KvalifikaSdkError.COMPARE_IMAGES_FAILED) {}

              if (error == KvalifikaSdkError.UNKNOWN_INTERNAL_ERROR) {}
            },
            builder: (sdk) {
              return Center(
                child: ElevatedButton(
                  onPressed: () {
                    sdk.startSession();
                    setState(() {
                      counter++;
                    });
                  },
                  child: Text('Start Verification $counter'),
                ),
              );
            },
          ),
        ),
      ),
    );
  }
}
